7.5
CWE
835
Advisory Published
Updated

CVE-2022-25734: Loop with Unreachable Exit Condition in MODEM

First published: Thu Feb 09 2023(Updated: )

Denial of service in modem due to missing null check while processing IP packets with padding

Credit: product-security@qualcomm.com product-security@qualcomm.com

Affected SoftwareAffected VersionHow to fix
Google Android
Qualcomm Ar8031
Qualcomm Csra6620 Firmware
Google Android
Qualcomm Csra6640 Firmware
Google Android
Qualcomm Mdm8207 Firmware
Google Android
Google Android
Google Android
Qualcomm Mdm9206 Firmware
Qualcomm Mdm9206
Qualcomm Mdm9207 Firmware
Qualcomm Mdm9207
Google Android
Qualcomm Mdm9607
Google Android
Qualcomm Qca4004
Qualcomm Qca4010 Firmware
Qualcomm Qca4010
Qualcomm Qca4020 Firmware
Google Android
Qualcomm Qca4024 Firmware
Google Android
Qualcomm Qcs405 Firmware
Google Android
Qualcomm Qts110 Firmware
Qualcomm Qts110
Qualcomm Ssg2115p Firmware
Qualcomm Ssg2115p
Qualcomm Ssg2125p Firmware
Qualcomm Ssg2125p
Qualcomm Sxr1230p Firmware
Qualcomm Sxr1230p
Qualcomm Sxr2230p Firmware
Qualcomm Sxr2230p
Qualcomm Wcd9306 Firmware
Google Android
Google Android
Qualcomm Wcd9330
Google Android
Google Android
Google Android
Google Android
Google Android
Google Android
Google Android
Google Android
Google Android
Google Android
Google Android
Google Android
Qualcomm Wcn6855 Firmware
Google Android
Google Android
Google Android
Qualcomm Wcn7850 Firmware
Google Android
Google Android
Qualcomm Wcn7851
Google Android
Google Android
Google Android
Google Android
Google Android
Google Android
Qualcomm Wsa8832 Firmware
Qualcomm Wsa8832
Google Android
Google Android
All of
Google Android
Qualcomm Ar8031
All of
Qualcomm Csra6620 Firmware
Google Android
All of
Qualcomm Csra6640 Firmware
Google Android
All of
Qualcomm Mdm8207 Firmware
Google Android
All of
Google Android
Google Android
All of
Qualcomm Mdm9206 Firmware
Qualcomm Mdm9206
All of
Qualcomm Mdm9207 Firmware
Qualcomm Mdm9207
All of
Google Android
Qualcomm Mdm9607
All of
Google Android
Qualcomm Qca4004
All of
Qualcomm Qca4010 Firmware
Qualcomm Qca4010
All of
Qualcomm Qca4020 Firmware
Google Android
All of
Qualcomm Qca4024 Firmware
Google Android
All of
Qualcomm Qcs405 Firmware
Google Android
All of
Qualcomm Qts110 Firmware
Qualcomm Qts110
All of
Qualcomm Ssg2115p Firmware
Qualcomm Ssg2115p
All of
Qualcomm Ssg2125p Firmware
Qualcomm Ssg2125p
All of
Qualcomm Sxr1230p Firmware
Qualcomm Sxr1230p
All of
Qualcomm Sxr2230p Firmware
Qualcomm Sxr2230p
All of
Qualcomm Wcd9306 Firmware
Google Android
All of
Google Android
Qualcomm Wcd9330
All of
Google Android
Google Android
All of
Google Android
Google Android
All of
Google Android
Google Android
All of
Google Android
Google Android
All of
Google Android
Google Android
All of
Google Android
Google Android
All of
Qualcomm Wcn6855 Firmware
Google Android
All of
Google Android
Google Android
All of
Qualcomm Wcn7850 Firmware
Google Android
All of
Google Android
Qualcomm Wcn7851
All of
Google Android
Google Android
All of
Google Android
Google Android
All of
Google Android
Google Android
All of
Qualcomm Wsa8832 Firmware
Qualcomm Wsa8832
All of
Google Android
Google Android

Never miss a vulnerability like this again

Sign up to SecAlerts for real-time vulnerability data matched to your software, aggregated from hundreds of sources.

Frequently Asked Questions

  • What is CVE-2022-25734?

    CVE-2022-25734 is a vulnerability that can cause denial of service in modems due to a missing null check when processing IP packets with padding.

  • What is the severity of CVE-2022-25734?

    CVE-2022-25734 has a severity rating of 7.5, which is considered high.

  • Which software is affected by CVE-2022-25734?

    Google Android and various Qualcomm firmware versions such as Ar8031, Csra6620, Mdm8207, Mdm9205, Mdm9206, Mdm9207, Mdm9607, Qca4004, Qca4010, Qca4020, Qca4024, Qcs405, Qts110, Ssg2115p, Ssg2125p, Sxr1230p, Sxr2230p, Wcd9306, Wcd9330, Wcd9335, Wcd9380, Wcd9385, Wcn3980, Wcn3998, Wcn3999, Wcn6855, Wcn6856, Wcn7850, Wcn7851, Wsa8810, Wsa8815, Wsa8830, Wsa8832, and Wsa8835 are affected.

  • How can I fix CVE-2022-25734?

    To fix CVE-2022-25734, it is recommended to apply the necessary patches or updates provided by the software vendor. Contact the vendor or refer to their official website for the latest security advisories and instructions.

  • Where can I find more information about CVE-2022-25734?

    You can find more information about CVE-2022-25734 in the official bulletin provided by Qualcomm at https://www.qualcomm.com/company/product-security/bulletins/february-2023-bulletin.

Contact

SecAlerts Pty Ltd.
132 Wickham Terrace
Fortitude Valley,
QLD 4006, Australia
info@secalerts.co
By using SecAlerts services, you agree to our services end-user license agreement. This website is safeguarded by reCAPTCHA and governed by the Google Privacy Policy and Terms of Service. All names, logos, and brands of products are owned by their respective owners, and any usage of these names, logos, and brands for identification purposes only does not imply endorsement. If you possess any content that requires removal, please get in touch with us.
© 2024 SecAlerts Pty Ltd.
ABN: 70 645 966 203, ACN: 645 966 203